IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'CreateUser' 
	   AND 	  type = 'P')
	DROP PROCEDURE CreateUser
GO

CREATE PROCEDURE CreateUser
@FullName varchar(100),
@EMail varchar(100),
@Password varchar(255)
AS

if not exists (select * from PERSON where EMail = @EMail)
	INSERT INTO PERSON (FullName, EMail, [Password]) 
	VALUES 
	(
	@FullName,
	@EMail,
	@Password
	)

GO